View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000136Ecere SDKecerepublic2008-08-26 03:482012-03-29 07:53
Reporterjerome 
Assigned Tojerome 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000136: File Monitor is activated when building on networked Linux machine right after saving
DescriptionFor some strange reason, saving a file then building it on networked Linux machine triggers the File monitor. Building it on Linux (across samba) somehow rewinds the timestamp by 1 second. (?!?!?!)
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000089)
jerome (administrator)
2008-08-26 03:49

Added this check for rewound timestamp in FileMonitor.ec:

if(stats.modified > monitor.modified || monitor.modified - (TimeStamp)stats.modified > 2)

inside

if(stats.modified != monitor.modified || stats.size != monitor.size)

- Issue History
Date Modified Username Field Change
2008-08-26 03:48 jerome New Issue
2008-08-26 03:48 jerome Status new => assigned
2008-08-26 03:48 jerome Assigned To => jerome
2008-08-26 03:49 jerome Status assigned => resolved
2008-08-26 03:49 jerome Resolution open => fixed
2008-08-26 03:49 jerome Note Added: 0000089
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:51 redj Relationship added child of 0000433
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker